Skip to content

Get an Atomic Creative

Request

Get an atomic creative by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
atomic_creative_idintegerrequired

Numeric ID of the atomic creative to get

Query
extendedboolean

Get extended properties in response

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/atomic_creatives/{atomic_creative_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Atomic creative response

Bodyapplication/json
dataatomic_creative_response (object) or atomic_creative_response_extended (object)
Any of:
metaobject(single_metadata)
Response
{ "data": { "id": 0, "version": 0, "entity_type": "string", "advertiser_id": 0, "concept_id": 0, "concept_name": "string", "name": "string", "width": 0, "height": 0, "creative_import_file_id": 0, "file_type": "string", "is_https": true, "is_multi_creative": true, "has_sound": true, "rich_media": true, "rich_media_provider": "string", "status": true, "archived": true, "built": true, "build_date": "string", "built_by_user_id": 0, "build_errors": "string", "created_on": "2019-08-24T14:15:22Z", "last_modified": "string", "external_identifier": "string", "tpas_ad_tag_name": "string", "updated_on": "2019-08-24T14:15:22Z", "expand": "string", "click_url": "string", "ad_format": "string", "expansion_direction": "NONRESTRICTED", "expansion_trigger": "AUTOMATIC", "ad_server_type": "string", "t1as": true, "tpas_ad_tag": "string", "edited_tag": "string", "click_through_url": "string", "rejected_reason": "string", "approval_status": "string", "start_date": "string", "end_date": "string", "media_type": "string", "is_mraid": true, "vast_version": 0, "sizmek_tag_status": "string", "sizmek_creative_status": "string", "last_payload_modified": "string", "is_audio": true, "tag": "string", "tag_type": "string" }, "meta": { "status": "success" } }